Mený principale
 Notizie
 Grafica
 Forum
 Links
 Retro Trailer
 Recensioni
 Modelli Amiga
 Storia Amiga
 Lista Utenti
 Contatti
Ricerca Google

Login

Nick


Password


                                                                                   
14 Novembre 2017 Postato da: carlo
OS 3.9 su 68000

Modificato il 14/11/2017 alle ore 12:13:17

Commenti: 37  Aggiungi - Pagine: 1-2


Pagine: - [1] -2-

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 1
carlo 14 Novembre 2017    12:13:09
Tutti sappiamo che non è possibile installare OS 3.9 su un 68000, eppure questa cosa si potrebbe fare anche se è un'operazione abbastanza complicata. Teoricamente per portare OS 3.9 su 68000 occorrerebbe fare questo snellimento:

- Eliminare Applicazioni da WBStartup
- Configurare/modificare Reaction nella maniera più semplice (Reaction è quello che appesantisce e che crea maggiori problemi di compatibilità)
- Niente sfondi e gadgets sul Workbench
- Sostituire tutte le icone con vecchie icone WB3.0/3.1
- Rimuovere tutte le applicazioni che richiedono "Reaction" (quelli che si trovano in C, Prefs)
- Rimuovere tutte le applicazioni ottimizzate per 68020 e CPU maggiori

Commento modificato il 14/11/2017 alle ore 12:15:04

Pegasus RyuSei Ken

Post inviati: 8207

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 2
Seiya 14 Novembre 2017    12:43:06
che non avrebbe senso per una cpu a 7 Mhz che poi ti impedirebbe di avviare i programmi per la poca memoria rimasta

Commento modificato il 14/11/2017 alle ore 12:43:29

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 3
carlo 14 Novembre 2017    12:53:39
No aspetta tu dovrai usare sempre applicazioni 68000, io sto parlando di modernizzare il sistema operativo nel riconoscere i dispositivi avere un Workbench più avanzato con più funzioni e magari aggiungere applicazioni moderne che supportano il 68000.

amiwell79

Post inviati: 4174

Visulizza profilo Messaggio Personale
46.141.23.*** IBrowse/2.4 (AmigaOS 3.9; 68K)
Commento 4
amiwell79 14 Novembre 2017    13:05:48
io ho utilizzato su 68000 il 3.1 con magicwb.

https://www.actionaid.it/


80.180.51.*** Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 5 in risposta al 4 di amiwell79
ivan74 14 Novembre 2017    13:32:30
Citazione

io ho utilizzato su 68000 il 3.1 con magicwb.



Ma quello è ovvio che funziona ma qui si parla di un'altra cosa, cioè del 3.9 su un amiga 500 o sul 600.

Post inviati: 5473

Visulizza profilo Messaggio Personale
79.55.110.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 6
DanyPPC 14 Novembre 2017    13:34:10
Azz... Carlo, ti affanni sempre a trovarti una nuova sfida.

Se mi fai girare l'OS 3.9 su un A600 base con 1MB con le stesse prestazioni di un WB 2.05 sei il mio idolo

A1200T OS3.9 BB4 PPC 240/060/256MB/BVision/IndivisionAGA MK2cr/BMon Switch/HD 80GB/DVD-RW/Drive 1,76Mb/Honey Bee CD32 Pad

A1200 OS3.9 BB4 ACA030/42/128MB/CF8GB/PCMCIA 4GB/PSX Adapter

A1200 OS3.9 BB4 030/50/64MB/CF16GB/PCMCIA 4GB/PSX Adapter

A1200 OS 3.1 2MB

A600 OS2.0 2MB/Gotek/Sega Pad


80.180.51.*** Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 7 in risposta al 1 di carlo
ivan74 14 Novembre 2017    13:35:24
Citazione

Tutti sappiamo che non è possibile installare OS 3.9 su un 68000, eppure questa cosa si potrebbe fare anche se è un'operazione abbastanza complicata. Teoricamente per portare OS 3.9 su 68000 occorrerebbe fare questo snellimento:

- Eliminare Applicazioni da WBStartup
- Configurare/modificare Reaction nella maniera più semplice (Reaction è quello che appesantisce e che crea maggiori problemi di compatibilità)
- Niente sfondi e gadgets sul Workbench
- Sostituire tutte le icone con vecchie icone WB3.0/3.1
- Rimuovere tutte le applicazioni che richiedono "Reaction" (quelli che si trovano in C, Prefs)
- Rimuovere tutte le applicazioni ottimizzate per 68020 e CPU maggiori



Sarebbe un lavoraccio ma non so se ne valga la pena.
Forse magari servirebbe anche un po piu di memoria.

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 8
carlo 14 Novembre 2017    13:44:06
Si in effetti un A500Pus e un A600 possono avviare un WB3.0/3.1 ma naturalmente con le rispettive caratteristiche Grafiche di un OS 2.04 e OS 2.05.

Commento modificato il 14/11/2017 alle ore 13:45:18

Pegasus RyuSei Ken

Post inviati: 8207

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 9
Seiya 14 Novembre 2017    13:45:17
Se ci riesci ti diamo la medaglia al valor 68k

Commento modificato il 14/11/2017 alle ore 13:46:13

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 10
carlo 14 Novembre 2017    13:46:52
Se è solo un problema di elinazione su può provare e possono farlo tutti, ma credo serva il tocco di qualche programmatore

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 11
carlo 14 Novembre 2017    13:59:59
Solo qualche minuto e voilà avviato OS 3.9 su un A600 con 1 MB di RAM

Naturalmente non funzionano le applicazioni del Workbench che richiedono un 68020, la Reaction, 1MB di RAM e AGA.

Immagine

Commento modificato il 14/11/2017 alle ore 14:21:00

Post inviati: 942

Visulizza profilo Messaggio Personale
151.0.243.*** Mozilla/5.0 (Windows NT 6.3; WOW64; rv:56.0) Gecko/20100101 Firefox/56.0
Commento 12
GabrieleNick 14 Novembre 2017    14:22:48
Ma qualcosa di paritetico ad AsyncWB per noi utilizzatori di 3.1 esiste?

Immagine

Immagine

Immagine

Immagine

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 13
carlo 14 Novembre 2017    15:07:45
AsyncWB non è nativo OS 3.9, funziona a partire da OS 3.5 ed è stato introdotto con il BB1 (v45.14), poi aggiornato con BB2 (v45.22) e infine è uscita la 45.23 che correggeve alcuni Bug che affliggevano le versioni precedenti; adesso non so se esiste qualcosa di simile per OS 3.1, magari lo sa qualche specialista di questo sistema.

Post inviati: 5473

Visulizza profilo Messaggio Personale
79.55.110.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Commento 14
DanyPPC 14 Novembre 2017    15:38:33
Complimenti per esserci riuscito, anche se alla fine di utilizzo di alcuni programmi compatibili solo OS3.9 non so che finalità possa avere su una macchina comunque poco prestante.
Da apprezzare lo sforzo. Come installare un Windows 7 su un vecchio PC 486...

A1200T OS3.9 BB4 PPC 240/060/256MB/BVision/IndivisionAGA MK2cr/BMon Switch/HD 80GB/DVD-RW/Drive 1,76Mb/Honey Bee CD32 Pad

A1200 OS3.9 BB4 ACA030/42/128MB/CF8GB/PCMCIA 4GB/PSX Adapter

A1200 OS3.9 BB4 030/50/64MB/CF16GB/PCMCIA 4GB/PSX Adapter

A1200 OS 3.1 2MB

A600 OS2.0 2MB/Gotek/Sega Pad

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 15
carlo 14 Novembre 2017    15:42:56
Dai Dany per uno smanettino che sa dove mettere le mani ci voglioni un paio di minuti, ho solo fatto due passaggi eliminando le cose che un A500Plus o A600 non possono masticare

Commento modificato il 14/11/2017 alle ore 15:44:24

Pegasus RyuSei Ken

Post inviati: 8207

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 16
Seiya 14 Novembre 2017    18:03:16
ce l'ho fatta anch'io con qualche problema.
da boot si pianta con guru 80000004, mentre da no startup-sequence si avvia regolarmente
A600, 1 MB chip RAM, kickstart 3.1 A600, no RTG, ECS
Immagine

la guru non so se è un problema software perchè me la da anche dopo aver cliccato "avvia da no startup-sequence" nella Early Startup-up

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 17
carlo 14 Novembre 2017    18:05:39
Non so quello che hai fatto, prova a sostituire il setpach del 3.9 con quello del 2.1, hai rinominato la WBStartup? e poi non stai usando un vero 68000 hai la barra bianca 3.x, devi usare il Kickstart 2.x altrimenti su un vero A500Plus o A600 non si avvierebbe mai quel sistema.

Commento modificato il 14/11/2017 alle ore 18:11:49

Pegasus RyuSei Ken

Post inviati: 8207

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 18 in risposta al 17 di carlo
Seiya 14 Novembre 2017    18:48:14
Citazione

Non so quello che hai fatto, prova a sostituire il setpach del 3.9 con quello del 2.1, hai rinominato la WBStartup? e poi non stai usando un vero 68000 hai la barra bianca 3.x, devi usare il Kickstart 2.x altrimenti su un vero A500Plus o A600 non si avvierebbe mai quel sistema.


OS 3.9 richiede il kickstart 3.1 infatti.
chi ha un 500/600 deve aggiornare al 3.1 e avere 1 MB di chip RAM.

Post inviati: 11780

Visulizza profilo Messaggio Personale
95.233.51.*** Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0
Commento 19
carlo 14 Novembre 2017    19:15:08
No, come ho fatto io non serve il kikstart 3.1, se guardi il mio screenshot noterai che io ho usato il Kickstart 2.05 quindi quel sistema si avvia sia su A500Plus che A600 con il kickstart "originale" ovvero Kick 2.04 e 2.05.

Pegasus RyuSei Ken

Post inviati: 8207

Visulizza profilo Messaggio Personale
79.30.53.*** Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Commento 20
Seiya 14 Novembre 2017    21:04:59
prova a installare il 3.9 direttamente dal CD su AmigaOS 2.05.
Chi ha un Amiga reale deve fare tutto passo passo:

Commento modificato il 14/11/2017 alle ore 21:07:54

Pagine: - [1] -2-

Utenti Online
Utenti registrati: 859 dal 1 Gennaio 2006
di cui online: 0 registrati - 
12 non registrati

Benvenuto all'ultimo utente registrato: marcello10700

Buon Compleanno a schiumacal - 

© Amigapage 1998 - 2007 - Sito italiano dedicato alla piattaforma Amiga ed evoluzioni varie.
Struttura del sito interamente ideata e realizzata da Marco Lovera e Alessandra Lovera - Tutto il materiale inserito all'interno del sito Ť dei rispettivi autori/creatori.
E' assolutamente vietata la riproduzione o la manipolazione di tutti i contenuti o parte di essi senza l'esplicito consenso degli amministratori e degli autori/creatori.

Eseguito in 0.085600137710571 secondi